package com.jsowell.pile.domain;

import com.jsowell.common.annotation.Excel;
import com.jsowell.common.core.domain.BaseEntity;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 【请填写功能名称】对象 adapay_member_account
 *
 * @author jsowell
 * @date 2023-06-15
 */
@Getter
@Setter
public class AdapayMemberAccount extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 状态 0-待审核；1-审核通过
     */
    private String status;

    /**
     * 运营商id
     */
    @Excel(name = "运营商id")
    private String merchantId;

    /**
     * 汇付会员id
     */
    @Excel(name = "汇付会员id")
    private String adapayMemberId;

    /**
     * 汇付结算账户id
     */
    @Excel(name = "汇付结算账户id")
    private String settleAccountId;

    /**
     * 删除标识（0-正常；1-删除）
     */
    private String delFlag;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.JSON_STYLE)
                .append("id", getId())
                .append("merchantId", getMerchantId())
                .append("adapayMemberId", getAdapayMemberId())
                .append("settleAccountId", getSettleAccountId())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateTime", getUpdateTime())
                .append("updateBy", getUpdateBy())
                .append("delFlag", getDelFlag())
                .toString();
    }
}
